/**
 * @license
 * Copyright 2023 Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { ICustomElementFoundation } from '@tylertech/forge-core';
import { ICheckboxAdapter } from './checkbox-adapter';
export interface ICheckboxFoundation extends ICustomElementFoundation {
    dense: boolean;
}
export declare class CheckboxFoundation implements ICheckboxFoundation {
    private _adapter;
    private _dense;
    private _currentCheckState;
    private _currentAnimationClass;
    private _animEndLatchTimer;
    private _enableAnimationEndHandler;
    private _handleChange;
    private _inputAttributeChangedListener;
    private _handleAnimationEnd;
    constructor(_adapter: ICheckboxAdapter);
    disconnect(): void;
    connect(): void;
    get dense(): boolean;
    set dense(value: boolean);
    handleAnimationEnd(): void;
    private _setDense;
    private _determineCheckState;
    private _updateAriaChecked;
    private _handleInputChange;
    private _transitionCheckState;
    private _handleInputAttributeChange;
    private _getTransitionAnimationClass;
    private _updateCheckboxStateClasses;
}
